List Alerts
GET
/api/v1/alerts
const url = 'https://example.com/api/v1/alerts?limit=50&offset=0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/alerts?limit=50&offset=0'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
Limit
integer
offset
Offset
integer
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response List Alerts Api V1 Alerts Get
Array<object>
AlertOutOne open alert, with read_at null while the user has not read it. payload keys by
rule type:
- stale_snapshot: account_id, account_name, last_snapshot_date (ISO), days
- budget_overspent: category_id, category_name, month, spent, budget, percent (the spent share; the level that fired when the month’s limit is 0), level (the budget level that fired), currency
- bill_due: planned_transaction_id, name, due_date (the date it is due on, after the weekend shift), anchor_date (its scheduled date, before the shift), amount, currency, transaction_type
- net_worth_threshold: threshold_id, direction, target_amount, base_currency
- snapshot_reminder: recurring_snapshot_id, account_id, account_name, due_date
object
Example
[ { "rule_type": "budget_overspent" }]Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}